// {{{RME classifier 'Logical View::VCNS::VVIG::Image_Classifier_Protocol'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "Image_Classifier_Protocol.h"
#endif

#include <RTSystem/VANT.h>
#include <Image_Classifier_Protocol.h>

const RTProtocolDescriptor Image_Classifier_Protocol::Base::rt_class =
{
	&RTRootProtocol::rt_class
  , &Image_Classifier_Protocol::Conjugate::rt_class
  , "Image_Classifier_Protocol"
  , 0
  , 3
  , Image_Classifier_Protocol::Base::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor Image_Classifier_Protocol::Base::rt_signals[] =
{
	{
		"Image_Classified"
	  , &RTType_void
	  , Image_Classifier_Protocol::Base::rti_Image_Classified
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , Image_Classifier_Protocol::Base::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , Image_Classifier_Protocol::Base::rti_rtUnbound
	}
};

const RTProtocolDescriptor Image_Classifier_Protocol::Conjugate::rt_class =
{
	&RTRootProtocol::rt_class
  , &Image_Classifier_Protocol::Base::rt_class
  , "Image_Classifier_Protocol"
  , 0
  , 3
  , Image_Classifier_Protocol::Conjugate::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor Image_Classifier_Protocol::Conjugate::rt_signals[] =
{
	{
		"Classify_Image"
	  , &RTType_void
	  , Image_Classifier_Protocol::Conjugate::rti_Classify_Image
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , Image_Classifier_Protocol::Conjugate::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , Image_Classifier_Protocol::Conjugate::rti_rtUnbound
	}
};

// }}}RME
