// {{{RME classifier 'Logical View::VCNS::VNAV::Navigation_Plan_Protocol'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "Navigation_Plan_Protocol.h"
#endif

#include <RTSystem/VANT.h>
#include <Navigation_Plan_Protocol.h>

const RTProtocolDescriptor Navigation_Plan_Protocol::Base::rt_class =
{
	&RTRootProtocol::rt_class
  , &Navigation_Plan_Protocol::Conjugate::rt_class
  , "Navigation_Plan_Protocol"
  , 0
  , 3
  , Navigation_Plan_Protocol::Base::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor Navigation_Plan_Protocol::Base::rt_signals[] =
{
	{
		"rtBound"
	  , (const RTObject_class *)0
	  , Navigation_Plan_Protocol::Base::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , Navigation_Plan_Protocol::Base::rti_rtUnbound
	}
  , {
		"traj_planned"
	  , &RTType_int
	  , Navigation_Plan_Protocol::Base::rti_traj_planned
	}
};

const RTProtocolDescriptor Navigation_Plan_Protocol::Conjugate::rt_class =
{
	&RTRootProtocol::rt_class
  , &Navigation_Plan_Protocol::Base::rt_class
  , "Navigation_Plan_Protocol"
  , 0
  , 3
  , Navigation_Plan_Protocol::Conjugate::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor Navigation_Plan_Protocol::Conjugate::rt_signals[] =
{
	{
		"request_traj_plan"
	  , &RTType_int
	  , Navigation_Plan_Protocol::Conjugate::rti_request_traj_plan
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , Navigation_Plan_Protocol::Conjugate::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , Navigation_Plan_Protocol::Conjugate::rti_rtUnbound
	}
};

// }}}RME
