// {{{RME classifier 'Logical View::RQART_2oTH_ICSC::RQART2oTestHarnessICSCstubECW'

#ifndef RQART2oTestHarnessICSCstubECW_H
#define RQART2oTestHarnessICSCstubECW_H

#ifdef PRAGMA
#pragma interface "RQART2oTestHarnessICSCstubECW.h"
#endif

#include <RTSystem/VANT.h>
#include <RQART2oTestHarnessICSCstubECWS.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass RQART2oTestHarnessICSCstubECW;

#define SUPER RQART2oTestHarnessICSCstubECWS_Actor
class RQART2oTestHarnessICSCstubECW_Actor : public RQART2oTestHarnessICSCstubECWS_Actor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

public:
	RQART2oTestHarnessICSCstubECW_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~RQART2oTestHarnessICSCstubECW_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME transition ':TOP:WaitingToStart:J4383B78D0196:Test1_0' guard '1'
	INLINE_METHODS int guard9_Test1_0_event1( const RQARTStartTestNData * rtdata, RQART2oTestHarnessICSCProtocol::Conjugate * rtport );
	// }}}RME
	// {{{RME transition ':TOP:Test1_0:J4383B78D01A9:StartTest'
	INLINE_METHODS void transition11_StartTest( const RQARTStartTestNData * rtdata, RQART2oTestHarnessICSCProtocol::Conjugate * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain2_Initial( void );
	INLINE_CHAINS void chain1_errorException( void );
	INLINE_CHAINS void chain7_ignoreStartTestN( void );
	INLINE_CHAINS void chain3_minRunTimeCompleted( void );
	INLINE_CHAINS void chain8_ignoreMessages( void );
	INLINE_CHAINS void chain9_Test1_0( void );
	INLINE_CHAINS void chain6_True( void );
	INLINE_CHAINS void chain4_False( void );
	INLINE_CHAINS void chain5_minRunTimeCompleted( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* RQART2oTestHarnessICSCstubECW_H */

// }}}RME
