// {{{RME classifier 'Logical View::RQARTClasses::CPP::V6_4_100_0::RQARTIncarnateArguments'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "RQARTIncarnateArguments.h"
#endif

#include <RTSystem/VANT.h>
#include <RQARTIncarnateArguments.h>

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR
class RTObject_class;
// }}}USR
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateDefaultConstructor'
RQARTIncarnateArguments::RQARTIncarnateArguments( void )
	: pCapsuleClass( (RTActorClass *)0 )
	, pData( (const void *)0 )
	, pType( (const RTObject_class *)0 )
	, pThread( (RTController *)0 )
	, cardinalityIndex( -1 )
	, instanceIndex( 0 )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateDestructor'
RQARTIncarnateArguments::~RQARTIncarnateArguments( void )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateCopyConstructor'
RQARTIncarnateArguments::RQARTIncarnateArguments( const RQARTIncarnateArguments & rtg_arg )
	: pCapsuleClass( rtg_arg.pCapsuleClass )
	, pData( rtg_arg.pData )
	, pType( rtg_arg.pType )
	, pThread( rtg_arg.pThread )
	, cardinalityIndex( rtg_arg.cardinalityIndex )
	, instanceIndex( rtg_arg.instanceIndex )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateAssignmentOperator'
RQARTIncarnateArguments & RQARTIncarnateArguments::operator=( const RQARTIncarnateArguments & rtg_arg )
{
	if( this != &rtg_arg )
	{
		pCapsuleClass = rtg_arg.pCapsuleClass;
		pData = rtg_arg.pData;
		pType = rtg_arg.pType;
		pThread = rtg_arg.pThread;
		cardinalityIndex = rtg_arg.cardinalityIndex;
		instanceIndex = rtg_arg.instanceIndex;
	}
	return *this;
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
