// {{{RME classifier 'Logical View::RQARTClasses::CPP::V6_4_100_0::RQARTTestDriverProtocol'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "RQARTTestDriverProtocol.h"
#endif

#include <RTSystem/VANT.h>
#include <RQARTTestDriverProtocol.h>

const RTProtocolDescriptor RQARTTestDriverProtocol::Base::rt_class =
{
	&RTRootProtocol::rt_class
  , &RQARTTestDriverProtocol::Conjugate::rt_class
  , "RQARTTestDriverProtocol"
  , 0
  , 6
  , RQARTTestDriverProtocol::Base::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor RQARTTestDriverProtocol::Base::rt_signals[] =
{
	{
		"CompareFailure"
	  , &RTType_RTString
	  , RQARTTestDriverProtocol::Base::rti_CompareFailure
	}
  , {
		"DriverCompleted"
	  , &RTType_void
	  , RQARTTestDriverProtocol::Base::rti_DriverCompleted
	}
  , {
		"DriverFailed"
	  , &RTType_RQARTExceptionCode
	  , RQARTTestDriverProtocol::Base::rti_DriverFailed
	}
  , {
		"LogMessage"
	  , &RTType_RTString
	  , RQARTTestDriverProtocol::Base::rti_LogMessage
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , RQARTTestDriverProtocol::Base::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , RQARTTestDriverProtocol::Base::rti_rtUnbound
	}
};

const RTProtocolDescriptor RQARTTestDriverProtocol::Conjugate::rt_class =
{
	&RTRootProtocol::rt_class
  , &RQARTTestDriverProtocol::Base::rt_class
  , "RQARTTestDriverProtocol"
  , 0
  , 5
  , RQARTTestDriverProtocol::Conjugate::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor RQARTTestDriverProtocol::Conjugate::rt_signals[] =
{
	{
		"FrameFAIL"
	  , &RTType_void
	  , RQARTTestDriverProtocol::Conjugate::rti_FrameFAIL
	}
  , {
		"FrameOK"
	  , &RTType_void
	  , RQARTTestDriverProtocol::Conjugate::rti_FrameOK
	}
  , {
		"StartTestN"
	  , &RTType_RQARTStartTestNData
	  , RQARTTestDriverProtocol::Conjugate::rti_StartTestN
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , RQARTTestDriverProtocol::Conjugate::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , RQARTTestDriverProtocol::Conjugate::rti_rtUnbound
	}
};

// }}}RME
