// {{{RME classifier 'Logical View::VCNS::VNAV::Coordinate'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "Coordinate.h"
#endif

#include <RTSystem/VANT.h>
#include <Coordinate.h>

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR

// }}}USR
// }}}RME

static void rtg_Coordinate_init( const RTObject_class * type, Coordinate * target )
{
	(void)new( target ) Coordinate;
}

static void rtg_Coordinate_copy( const RTObject_class * type, Coordinate * target, const Coordinate * source )
{
	(void)new( target ) Coordinate( *source );
}

static void rtg_Coordinate_destroy( const RTObject_class * type, Coordinate * target )
{
	target->~Coordinate();
}

const RTFieldDescriptor rtg_Coordinate_fields[] =
{
	// {{{RME classAttribute 'Longitude'
	{
		"Longitude"
	  , RTOffsetOf( Coordinate, Longitude )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_double
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'Latitude'
  , {
		"Latitude"
	  , RTOffsetOf( Coordinate, Latitude )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_double
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'Altitude'
  , {
		"Altitude"
	  , RTOffsetOf( Coordinate, Altitude )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_double
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'Angulo_Proa'
  , {
		"Angulo_Proa"
	  , RTOffsetOf( Coordinate, Angulo_Proa )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_double
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
};

const RTObject_class RTType_Coordinate =
{
	(const RTObject_class *)0
  , (RTSuperAccessFunction)0
  , "Coordinate"
  , (RTVersionId)0
  , (RTFieldOffset)sizeof( Coordinate )
  , (RTInitFunction)rtg_Coordinate_init
  , (RTCopyFunction)rtg_Coordinate_copy
#if OBJECT_DECODE
  , RTstruct_decode
#endif
#if OBJECT_ENCODE
  , RTstruct_encode
#endif
  , (RTDestroyFunction)rtg_Coordinate_destroy
  , 4
  , rtg_Coordinate_fields
};

// {{{RME tool 'OT::Cpp' property 'GenerateDefaultConstructor'
Coordinate::Coordinate( void )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateDestructor'
Coordinate::~Coordinate( void )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateCopyConstructor'
Coordinate::Coordinate( const Coordinate & rtg_arg )
	: Longitude( rtg_arg.Longitude )
	, Latitude( rtg_arg.Latitude )
	, Altitude( rtg_arg.Altitude )
	, Angulo_Proa( rtg_arg.Angulo_Proa )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateAssignmentOperator'
Coordinate & Coordinate::operator=( const Coordinate & rtg_arg )
{
	if( this != &rtg_arg )
	{
		Longitude = rtg_arg.Longitude;
		Latitude = rtg_arg.Latitude;
		Altitude = rtg_arg.Altitude;
		Angulo_Proa = rtg_arg.Angulo_Proa;
	}
	return *this;
}
// }}}RME

#if OBJECT_DECODE
RTTypeInstaller rtg_Coordinate_installer( RTType_Coordinate );
#endif

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
