// {{{RME classifier 'Logical View::RQART_2oTH_ICSC::RQART2oTestHarnessICSCProtocol'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "RQART2oTestHarnessICSCProtocol.h"
#endif

#include <RTSystem/VANT.h>
#include <RQART2oTestHarnessICSCProtocol.h>

const RTProtocolDescriptor RQART2oTestHarnessICSCProtocol::Base::rt_class =
{
	&RQARTTestDriverProtocol::Base::rt_class
  , &RQART2oTestHarnessICSCProtocol::Conjugate::rt_class
  , "RQART2oTestHarnessICSCProtocol"
  , 0
  , 14
  , RQART2oTestHarnessICSCProtocol::Base::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor RQART2oTestHarnessICSCProtocol::Base::rt_signals[] =
{
	{
		"CompareFailure"
	  , &RTType_RTString
	  , RQART2oTestHarnessICSCProtocol::Base::rti_CompareFailure
	}
  , {
		"Destroy_stubEC"
	  , &RTType_int
	  , RQART2oTestHarnessICSCProtocol::Base::rti_Destroy_stubEC
	}
  , {
		"Destroy_vcns"
	  , &RTType_int
	  , RQART2oTestHarnessICSCProtocol::Base::rti_Destroy_vcns
	}
  , {
		"Destroy_vctrl"
	  , &RTType_int
	  , RQART2oTestHarnessICSCProtocol::Base::rti_Destroy_vctrl
	}
  , {
		"Destroy_vsup"
	  , &RTType_int
	  , RQART2oTestHarnessICSCProtocol::Base::rti_Destroy_vsup
	}
  , {
		"DriverCompleted"
	  , &RTType_void
	  , RQART2oTestHarnessICSCProtocol::Base::rti_DriverCompleted
	}
  , {
		"DriverFailed"
	  , &RTType_RQARTExceptionCode
	  , RQART2oTestHarnessICSCProtocol::Base::rti_DriverFailed
	}
  , {
		"Incarnate_stubEC"
	  , (const RTObject_class *)0
	  , RQART2oTestHarnessICSCProtocol::Base::rti_Incarnate_stubEC
	}
  , {
		"Incarnate_vcns"
	  , (const RTObject_class *)0
	  , RQART2oTestHarnessICSCProtocol::Base::rti_Incarnate_vcns
	}
  , {
		"Incarnate_vctrl"
	  , (const RTObject_class *)0
	  , RQART2oTestHarnessICSCProtocol::Base::rti_Incarnate_vctrl
	}
  , {
		"Incarnate_vsup"
	  , (const RTObject_class *)0
	  , RQART2oTestHarnessICSCProtocol::Base::rti_Incarnate_vsup
	}
  , {
		"LogMessage"
	  , &RTType_RTString
	  , RQART2oTestHarnessICSCProtocol::Base::rti_LogMessage
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , RQART2oTestHarnessICSCProtocol::Base::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , RQART2oTestHarnessICSCProtocol::Base::rti_rtUnbound
	}
};

const RTProtocolDescriptor RQART2oTestHarnessICSCProtocol::Conjugate::rt_class =
{
	&RQARTTestDriverProtocol::Conjugate::rt_class
  , &RQART2oTestHarnessICSCProtocol::Base::rt_class
  , "RQART2oTestHarnessICSCProtocol"
  , 0
  , 5
  , RQART2oTestHarnessICSCProtocol::Conjugate::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor RQART2oTestHarnessICSCProtocol::Conjugate::rt_signals[] =
{
	{
		"FrameFAIL"
	  , &RTType_void
	  , RQART2oTestHarnessICSCProtocol::Conjugate::rti_FrameFAIL
	}
  , {
		"FrameOK"
	  , &RTType_void
	  , RQART2oTestHarnessICSCProtocol::Conjugate::rti_FrameOK
	}
  , {
		"StartTestN"
	  , &RTType_RQARTStartTestNData
	  , RQART2oTestHarnessICSCProtocol::Conjugate::rti_StartTestN
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , RQART2oTestHarnessICSCProtocol::Conjugate::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , RQART2oTestHarnessICSCProtocol::Conjugate::rti_rtUnbound
	}
};

// }}}RME
