// {{{RME classifier 'Logical View::RQARTClasses::CPP::V6_4_100_0::RQARTStartTestNData'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "RQARTStartTestNData.h"
#endif

#include <RTSystem/VANT.h>
#include <RQARTStartTestNData.h>

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR

// }}}USR
// }}}RME

static void rtg_RQARTStartTestNData_init( const RTObject_class * type, RQARTStartTestNData * target )
{
	(void)new( target ) RQARTStartTestNData;
}

static void rtg_RQARTStartTestNData_copy( const RTObject_class * type, RQARTStartTestNData * target, const RQARTStartTestNData * source )
{
	(void)new( target ) RQARTStartTestNData( *source );
}

static void rtg_RQARTStartTestNData_destroy( const RTObject_class * type, RQARTStartTestNData * target )
{
	target->~RQARTStartTestNData();
}

const RTFieldDescriptor rtg_RQARTStartTestNData_fields[] =
{
	// {{{RME classAttribute 'nCurrentTest'
	{
		"nCurrentTest"
	  , RTOffsetOf( RQARTStartTestNData, nCurrentTest )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_int
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'nMinRunTime'
  , {
		"nMinRunTime"
	  , RTOffsetOf( RQARTStartTestNData, nMinRunTime )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_int
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
	// {{{RME classAttribute 'nCardinalityIndex'
  , {
		"nCardinalityIndex"
	  , RTOffsetOf( RQARTStartTestNData, nCardinalityIndex )
		// {{{RME tool 'OT::CppTargetRTS' property 'TypeDescriptor'
	  , &RTType_int
		// }}}RME
		// {{{RME tool 'OT::CppTargetRTS' property 'GenerateTypeModifier'
	  , (const RTTypeModifier *)0
		// }}}RME
	}
	// }}}RME
};

const RTObject_class RTType_RQARTStartTestNData =
{
	(const RTObject_class *)0
  , (RTSuperAccessFunction)0
  , "RQARTStartTestNData"
  , (RTVersionId)0
  , (RTFieldOffset)sizeof( RQARTStartTestNData )
  , (RTInitFunction)rtg_RQARTStartTestNData_init
  , (RTCopyFunction)rtg_RQARTStartTestNData_copy
#if OBJECT_DECODE
  , RTstruct_decode
#endif
#if OBJECT_ENCODE
  , RTstruct_encode
#endif
  , (RTDestroyFunction)rtg_RQARTStartTestNData_destroy
  , 3
  , rtg_RQARTStartTestNData_fields
};

// {{{RME tool 'OT::Cpp' property 'GenerateDefaultConstructor'
RQARTStartTestNData::RQARTStartTestNData( void )
	: nCurrentTest( 0 )
	, nMinRunTime( 0 )
	, nCardinalityIndex( 0 )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateDestructor'
RQARTStartTestNData::~RQARTStartTestNData( void )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateCopyConstructor'
RQARTStartTestNData::RQARTStartTestNData( const RQARTStartTestNData & rtg_arg )
	: nCurrentTest( rtg_arg.nCurrentTest )
	, nMinRunTime( rtg_arg.nMinRunTime )
	, nCardinalityIndex( rtg_arg.nCardinalityIndex )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateAssignmentOperator'
RQARTStartTestNData & RQARTStartTestNData::operator=( const RQARTStartTestNData & rtg_arg )
{
	if( this != &rtg_arg )
	{
		nCurrentTest = rtg_arg.nCurrentTest;
		nMinRunTime = rtg_arg.nMinRunTime;
		nCardinalityIndex = rtg_arg.nCardinalityIndex;
	}
	return *this;
}
// }}}RME

#if OBJECT_DECODE
RTTypeInstaller rtg_RQARTStartTestNData_installer( RTType_RQARTStartTestNData );
#endif

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
