// {{{RME classifier 'Logical View::RQART_2oTH_ICSC::RQARTTestHarness2oTH_ICSC'

#ifndef RQARTTestHarness2oTH_ICSC_H
#define RQARTTestHarness2oTH_ICSC_H

#ifdef PRAGMA
#pragma interface "RQARTTestHarness2oTH_ICSC.h"
#endif

#include <RTSystem/VANT.h>
#include <RQART2oTestHarnessICSCProtocol.h>
#include <RQARTAbstractTestHarness.h>
extern const RTActorClass RQART2oTestHarnessICSCstubECW;
enum RQARTExceptionCode;
class RQARTIncarnateArguments;
class RQARTStartTestNData;

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass RQARTTestHarness2oTH_ICSC;

#define SUPER RQARTAbstractTestHarness_Actor
class RQARTTestHarness2oTH_ICSC_Actor : public RQARTAbstractTestHarness_Actor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME capsuleRole 'stubEC'
	RTActorRef stubEC;
	// }}}RME
	// {{{RME capsuleRole 'vcns'
	RTActorRef vcns;
	// }}}RME
	// {{{RME capsuleRole 'vctrl'
	RTActorRef vctrl;
	// }}}RME
	// {{{RME capsuleRole 'vsup'
	RTActorRef vsup;
	// }}}RME
	// {{{RME port 'RQART_Driver1'
	RQART2oTestHarnessICSCProtocol::Base RQART_Driver1;
	// }}}RME

public:
	RQARTTestHarness2oTH_ICSC_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~RQARTTestHarness2oTH_ICSC_Actor( void );

protected:
	// {{{RME operation 'Test1Initialize(const int *const)'
	virtual void Test1Initialize( const int * const minRunTimes );
	// }}}RME
	// {{{RME operation 'Test1Complete()'
	virtual void Test1Complete( void );
	// }}}RME
	// {{{RME operation 'Test1CleanUp()'
	virtual void Test1CleanUp( void );
	// }}}RME
	// {{{RME operation 'InitializeTest(const int *const)'
	virtual void InitializeTest( const int * const minRunTimes );
	// }}}RME
	// {{{RME operation 'CompleteTest()'
	virtual void CompleteTest( void );
	// }}}RME
	// {{{RME operation 'CleanUpTest()'
	virtual void CleanUpTest( void );
	// }}}RME
	// {{{RME operation 'DestroyDrivers()'
	virtual void DestroyDrivers( void );
	// }}}RME
	// {{{RME operation 'DestroyCUTs()'
	virtual void DestroyCUTs( void );
	// }}}RME

public:
	virtual int _followOutV( RTBindingEnd & rtg_end, int rtg_compId, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME transition ':TOP:Initial:Initial'
	INLINE_METHODS void transition1_Initial( const void * rtdata, RTProtocol * rtport );
	// }}}RME
	// {{{RME transition ':TOP:AreAllDriversCompleted:True'
	INLINE_METHODS void transition11_True( const void * rtdata, RTProtocol * rtport );
	// }}}RME
	// {{{RME transition ':TOP:J4383B78E0011:Incarnate_vcns'
	INLINE_METHODS void transition16_Incarnate_vcns( const void * rtdata, RQART2oTestHarnessICSCProtocol::Base * rtport );
	// }}}RME
	// {{{RME transition ':TOP:J4383B78E0020:Destroy_vcns'
	INLINE_METHODS void transition17_Destroy_vcns( const int * rtdata, RQART2oTestHarnessICSCProtocol::Base * rtport );
	// }}}RME
	// {{{RME transition ':TOP:J4383B78E002E:Incarnate_vctrl'
	INLINE_METHODS void transition18_Incarnate_vctrl( const void * rtdata, RQART2oTestHarnessICSCProtocol::Base * rtport );
	// }}}RME
	// {{{RME transition ':TOP:J4383B78E003C:Destroy_vctrl'
	INLINE_METHODS void transition19_Destroy_vctrl( const int * rtdata, RQART2oTestHarnessICSCProtocol::Base * rtport );
	// }}}RME
	// {{{RME transition ':TOP:J4383B78E004A:Incarnate_vsup'
	INLINE_METHODS void transition20_Incarnate_vsup( const void * rtdata, RQART2oTestHarnessICSCProtocol::Base * rtport );
	// }}}RME
	// {{{RME transition ':TOP:J4383B78E0058:Destroy_vsup'
	INLINE_METHODS void transition21_Destroy_vsup( const int * rtdata, RQART2oTestHarnessICSCProtocol::Base * rtport );
	// }}}RME
	// {{{RME transition ':TOP:J4383B78E0066:Incarnate_stubEC'
	INLINE_METHODS void transition22_Incarnate_stubEC( const void * rtdata, RQART2oTestHarnessICSCProtocol::Base * rtport );
	// }}}RME
	// {{{RME transition ':TOP:J4383B78E0081:Destroy_stubEC'
	INLINE_METHODS void transition23_Destroy_stubEC( const int * rtdata, RQART2oTestHarnessICSCProtocol::Base * rtport );
	// }}}RME
	// {{{RME transition ':TOP:J4383B78E0091:LogMessage'
	INLINE_METHODS void transition24_LogMessage( const RTString * rtdata, RQART2oTestHarnessICSCProtocol::Base * rtport );
	// }}}RME
	// {{{RME transition ':TOP:J4383B78E00A1:CompareFailure'
	INLINE_METHODS void transition25_CompareFailure( const RTString * rtdata, RQART2oTestHarnessICSCProtocol::Base * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain1_Initial( void );
	INLINE_CHAINS void chain12_errorException( void );
	INLINE_CHAINS void chain2_timeout( void );
	INLINE_CHAINS void chain6_timerCompleted( void );
	INLINE_CHAINS void chain24_LogMessage( void );
	INLINE_CHAINS void chain13_DriverFailed( void );
	INLINE_CHAINS void chain25_CompareFailure( void );
	INLINE_CHAINS void chain16_Incarnate_vcns( void );
	INLINE_CHAINS void chain17_Destroy_vcns( void );
	INLINE_CHAINS void chain18_Incarnate_vctrl( void );
	INLINE_CHAINS void chain19_Destroy_vctrl( void );
	INLINE_CHAINS void chain20_Incarnate_vsup( void );
	INLINE_CHAINS void chain21_Destroy_vsup( void );
	INLINE_CHAINS void chain22_Incarnate_stubEC( void );
	INLINE_CHAINS void chain23_Destroy_stubEC( void );
	INLINE_CHAINS void chain8_StartTest( void );
	INLINE_CHAINS void chain3_Reset( void );
	INLINE_CHAINS void chain4_SetMaxTime( void );
	INLINE_CHAINS void chain14_SetControllerVersion( void );
	INLINE_CHAINS void chain7_cleanUp( void );
	INLINE_CHAINS void chain5_timerCompleted( void );

protected:
	// {{{RME choicePoint ':TOP:AreAllDriversCompleted'
	INLINE_METHODS int choicePoint1_AreAllDriversCompleted( const void * rtdata, RTProtocol * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain11_True( void );
	INLINE_CHAINS void chain10_False( void );
	INLINE_CHAINS void chain9_DriverCompleted( void );
	INLINE_CHAINS void chain15_ignoreMessages( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTComponentDescriptor rtg_capsule_roles[];
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* RQARTTestHarness2oTH_ICSC_H */

// }}}RME
