// {{{RME classifier 'Logical View::VCTRL::VPOTE::VPOTE'

#ifndef VPOTE_H
#define VPOTE_H

#ifdef PRAGMA
#pragma interface "VPOTE.h"
#endif

#include <RTSystem/VANT.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass VPOTE;

#define SUPER RTActor
class VPOTE_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME capsuleRole 'powerControl'
	RTActorRef powerControl;
	// }}}RME
	// {{{RME capsuleRole 'manete'
	RTActorRef manete;
	// }}}RME
	// {{{RME capsuleRole 'epr'
	RTActorRef epr;
	// }}}RME
	// {{{RME capsuleRole 'egt'
	RTActorRef egt;
	// }}}RME
	// {{{RME capsuleRole 'rpm'
	RTActorRef rpm;
	// }}}RME

public:
	VPOTE_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~VPOTE_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );
	virtual int _followOutV( RTBindingEnd & rtg_end, int rtg_compId, int rtg_portId, int rtg_repIndex );
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTComponentDescriptor rtg_capsule_roles[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* VPOTE_H */

// }}}RME
